Authentication
the marco api uses an authentication token auth token for authentication the auth token must be included in the authorization header for all api requests you can retrieve your auth token from the post /api/auth/login endpoint retrieve auth token \<font color="#3b9f0f">post\</font> /api/auth/login retrieve your api auth token using your marco account email and password the auth token is valid for only 30 days once the token expires, you will need to call this api endpoint again the token can be stored in an environment variable, which can be used in all api requests request \<font color="#00a2e9">body parameters\</font> email \<font color="#a7b4c3">string required\</font> your marco account email password \<font color="#a7b4c3">string required\</font> your marco account password example requests curl x post 'https //api marcopayroll com/api\ benkock8/api/auth/login' \\ h 'content type application/json' \\ d '{ "email" "your email", "password" "your password" }'{ "auth token" "$auth token" } response (200) auth token \<font color="#a7b4c3">string\</font> your marco api authentication token